package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.ScientistsEngineers;
import com.lightinit.hsdatashow.entity.ScientistsEngineersExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ScientistsEngineersMapper {
    long countByExample(ScientistsEngineersExample example);

    int deleteByExample(ScientistsEngineersExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ScientistsEngineers record);

    int insertSelective(ScientistsEngineers record);

    List<ScientistsEngineers> selectByExample(ScientistsEngineersExample example);

    ScientistsEngineers selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ScientistsEngineers record, @Param("example") ScientistsEngineersExample example);

    int updateByExample(@Param("record") ScientistsEngineers record, @Param("example") ScientistsEngineersExample example);

    int updateByPrimaryKeySelective(ScientistsEngineers record);

    int updateByPrimaryKey(ScientistsEngineers record);

    List<ScientistsEngineers> selectList(int year);
}